class WorkgroupDeliveriesController < AuthenticatedController
  include DownloadableActions
  include PackageMethods

  def downloadable_object
    @downloadable_object ||= WorkgroupDelivery.find(params[:id])
  end

  def transfer_host
    workgroup_delivery = find_workgroup_delivery(params[:id])
    if workgroup_delivery && workgroup_delivery.share
      workgroup_delivery.delivery.default_transfer_host(request)
    else
      super
    end
  end
end
